#pragma TASS input {N>=0 && N<5}
int N;
#pragma TASS output 
int result;

int f(int k) {
	int t;
	
	if (k==0) { 
		return 1;
	} else {
		t = f(k-1);
		return k*t;
	}
}

void main() {
	result = f(N);
}
